Dirac Video Codec

# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac::TransformByteIO Class Reference

Represents compressed sequence-parameter data used in an AccessUnit.

`#include <transform_byteio.h>`

Inheritance diagram for dirac::TransformByteIO:
[legend]
Collaboration diagram for dirac::TransformByteIO:
[legend]

List of all members.

## Public Member Functions

- TransformByteIO (PictureParams &fparams, CodecParams &c_params)
    Output Constructor.
- TransformByteIO (ByteIO &byte_io, PictureParams &fparams, CodecParams &c_params)
    Input Constructor.
- virtual ~TransformByteIO ()
    Destructor.
- void CollateByteStats (DiracByteStats &dirac_byte_stats)
    Gathers byte stats on the transform data.
- void Output ()
    Outputs sequence information to Dirac byte-format.
- void Input ()
    Outputs sequence information to Dirac byte-format.
- virtual const std::string GetBytes ()
    Get string containing coded bytes.
- int GetSize () const
    Return the size.
- void AddComponent (ComponentByteIO *component_byteio)
    Adds a Picture-component in Dirac-bytestream format.

## Private Attributes

- PictureParams & m_fparams
    Sequence paramters for intput/output.
- CodecParams & m_cparams
    Codec params - EncParams for Output and DecParams for input.
- CodecParams m_default_cparams
    Default Codec params - EncParams for Output and DecParams for input.
- std::vector< ComponentByteIO * > m_component_list

## Constructor & Destructor Documentation

dirac::TransformByteIO::TransformByteIO | ( | PictureParams & | fparams,
|  | CodecParams & | c_params |
| ) |  |  |

Parameters:

  | fparams | Picture parameters
  | c_params | Codec params

dirac::TransformByteIO::TransformByteIO | ( | ByteIO & | byte_io,
|  | PictureParams & | fparams,
|  | CodecParams & | c_params |
| ) |  |  |

Parameters:

  | byte_io | ByteIO object for copy constructor
  | fparams | Picture parameters
  | c_params | Codec params

virtual dirac::TransformByteIO::~TransformByteIO | ( |  | ) | `[virtual]`

## Member Function Documentation

void dirac::TransformByteIO::CollateByteStats | ( | DiracByteStats & | dirac_byte_stats | ) | `[virtual]`

Parameters:

  | dirac_byte_stats | Stats container

Reimplemented from dirac::ByteIO.

void dirac::TransformByteIO::Output | ( |  | ) |

void dirac::TransformByteIO::Input | ( |  | ) |

virtual const std::string dirac::TransformByteIO::GetBytes | ( |  | ) | `[virtual]`

Reimplemented from dirac::ByteIO.

int dirac::TransformByteIO::GetSize | ( |  | ) | const`[virtual]`

Reimplemented from dirac::ByteIO.

void dirac::TransformByteIO::AddComponent | ( | ComponentByteIO * | component_byteio | ) |

Parameters:

  | component_byteio | Picture-component bytestream

## Member Data Documentation

PictureParams& dirac::TransformByteIO::m_fparams`[private]`

CodecParams& dirac::TransformByteIO::m_cparams`[private]`

CodecParams dirac::TransformByteIO::m_default_cparams`[private]`

std::vector<ComponentByteIO *> dirac::TransformByteIO::m_component_list`[private]`

The documentation for this class was generated from the following file:

- transform_byteio.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.